{
  "name": "memorybufferwindow",
  "display_name": "Simple Memory",
  "description": "Stores in n8n memory, so no credentials required",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "scalingNotice",
      "display_name": "This node stores memory locally in the n8n instance. It is not compatible with Queue Mode or Multi-Main setups, as memory will not be shared across workers. For production use with scaling, consider using an external memory store such as Redis, Postgres, or another persistent memory node.",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "sessionKey",
      "display_name": "Session Key",
      "kind": "string",
      "required": false,
      "default": "chat_history",
      "description": "The key to use to store the memory in the workflow data"
    },
    {
      "name": "sessionKey",
      "display_name": "Session ID",
      "kind": "string",
      "required": false,
      "default": "={{ $json.sessionId }}",
      "description": "The key to use to store the memory"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/memory/MemoryBufferWindow/MemoryBufferWindow.node.ts"
}